# Settings

Open by clicking the **Creator** agent in the agent list.

![Creator agent item](/talemate/img/0.30.0/creator-agent-item.png)

## Long Term Memory

--8<-- "docs/snippets/tips.md:agent_long_term_memory_settings"

## Autocomplete

![Conversation agent autocomplete settings](/talemate/img/0.30.0/creator-autocomplete-settings.png)

##### Dialogue Suggestion Length

How many tokens to generate (max.) when autocompleting character actions.

##### Narrative Suggestion Length

How many tokens to generate (max.) when autocompleting narrative text.